Another pokemon/palpark thread

Discussion in 'NDS - Flashcarts and Accessories' started by Rubyheart, Jun 24, 2014.

  1. Rubyheart
    OP

    Rubyheart Advanced Member

    Newcomer
    94
    10
    Feb 8, 2014
    United States
    Alright, so I'm trying to transfer pokemon from a slot-2 cart to a slot-1 game. I have an EZ Flash IV, an R4, and an R4i. I've read that I need to write Ruby to NOR, throw Pearl through PokePatch, turn on the gba link patch on the R4, and all is well. However, I've had problems with every step of the process. I put Pearl through PokePatch, put it on the R4 and... nothing. It won't load. The R4 displays it's own loading screen, then it just goes black. If I look later, I see that it makes the save file for the patched rom, but I can't get the rom to load on the R4. It loads on No$GBA though.

    On the Slot-2 side of things, I've tried writing both the unpatched Ruby rom and and the one patched with EZClient (separately), and nothing seems to change. With the original firmware that came with it, it would show it on the EZDisk page, before the page with the rest of the games on it. With the firmware I have now, I don't see that happening, I'm currently using 1.72.

    I have an EZ Flash 3-in-1 ordered and on the way, which I've heard is better for pulling this off, but it'll be a few weeks.

    So, how can I get palpark to work with the hardware I have? What other information do I need to give to help get this working?

    The 3-in-1 came, and I was able to make palpark work with the R4. I did not need to patch the Ruby rom or the Pearl rom, I just put them both on the R4 clean. I used GBAExploader to flash Ruby to the 3-in-1's NOR, set Pearl to link with the gba slot, and everything worked perfectly.

    So to anyone trying to get palpark working, I hope this helps.
     
  2. Hozu

    Hozu GBAtemp Regular

    Member
    268
    60
    Aug 25, 2010
    Canada
    Note that you can also use the emulator DeSmuME to do that. Get both ROMS and saves to your computer, run the 4th gen game and select the GBA game as slot 2. Once it's completed, you'll have to some some save converter tool to get the 4th gen game save back to a raw .sav file.

    Sometimes it crashes when you attempt to Pal Park, so keep backups.
     
  3. Rubyheart
    OP

    Rubyheart Advanced Member

    Newcomer
    94
    10
    Feb 8, 2014
    United States
    I know I can do it on an emulator on my computer, the point was being able to do it when I'm not at my computer.

    I'm actually going to be using no$gba to activate the Eon Ticket with an emulated e-reader, and trade between RSEFrLg.
     
  4. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,096
    4,003
    Oct 7, 2007
    United States
    Levelland, Texas
    Just know that you'll need to buy a legit gen 5 game if you are planning on migrating your Pokemon to Pokemon Bank for eventual use in Pokemon X/Y and the future Ruby/Sapphire remakes. ;)

    The way Pokebank works currently means it's not possible to fool it with a flashcart.
     
  5. Rubyheart
    OP

    Rubyheart Advanced Member

    Newcomer
    94
    10
    Feb 8, 2014
    United States
    Yes, at least one retail gen5 game is required to use Bank. I'd reccomend one of the "2" games, so that it can also work with Dream Radar.

    I actually have a pretty sizeable collection of retail games, getting everything to work on the flash carts was pretty much for ease of use, and so I can effectively clone every pokemon on the cart by copying the save file. ;)